Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.encoding
Class TikaEncodingDetectorTest

    java.lang.Object
      org.apache.any23.encoding.TikaEncodingDetectorTest

    public class TikaEncodingDetectorTest

extends Object

Test case for `TikaEncodingDetector`.

Version:
  $Id: TikaEncodingDetectorTest.html 1233375 2012-01-19 13:45:22Z simonetripodi $
Author:
  Michele Mostarda ( michele.mostarda@gmail.com ), Davide Palmisano ( dpalmisano@gmail.com )

Constructor Summary
`TikaEncodingDetectorTest()`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testEncodingHTML()`
`void` | `testISO8859HTML()`
`void` | `testISO8859XHTML()`
`void` | `testUTF8AfterTitle()`
`void` | `testUTF8HTML()`
`void` | `testUTF8XHTML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TikaEncodingDetectorTest

    public TikaEncodingDetectorTest()

Method Detail

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### testISO8859HTML

    public void testISO8859HTML()
                         throws IOException

  Throws:
    `IOException`

### testISO8859XHTML

    public void testISO8859XHTML()
                          throws IOException

  Throws:
    `IOException`

### testUTF8AfterTitle

    public void testUTF8AfterTitle()
                            throws IOException

  Throws:
    `IOException`

### testUTF8HTML

    public void testUTF8HTML()
                      throws IOException

  Throws:
    `IOException`

### testUTF8XHTML

    public void testUTF8XHTML()
                       throws IOException

  Throws:
    `IOException`

### testEncodingHTML

    public void testEncodingHTML()
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.